local RayUI, E, _, V, P, G = unpack(select(2, ...))
local RUF = RayUI:GetModule('RayUIUnitframes')
local UF = E.UnitFrames

--Cache global variables
--Lua functions
--WoW API / Variables
local hooksecurefunc = hooksecurefunc
-- GLOBALS:

function RUF:UpdateClassBar()
	local custom_backdrop = UF.db.colors.customclasspowerbackdrop and UF.db.colors.classpower_backdrop
	for i=1, #self do
		if not custom_backdrop then
			local r, g, b = self[i]:GetStatusBarColor()
			self[i].bg:SetVertexColor(r * RayUI.multiplier, g * RayUI.multiplier, b * RayUI.multiplier)
		end
	end
end

function RUF:LoadClassBars()
	if E.private.unitframe.enable ~= true then return end

	hooksecurefunc(UF.player.ClassPower, "PostUpdate", RUF.UpdateClassBar)
end
